#!/bin/bash

/snap - 存放已安装的 Snap 包。
/var/lib/snapd - Snap Daemon 的数据存储，包括配置和状态信息。
/etc/snapd - Snap Daemon 的配置文件。
/usr/lib/snapd - Snap Daemon 的二进制文件和库。
/home/<user>/snap - 用户级别的 Snap 应用数据。

folder_list=(/snap /var/lib/snapd /etc/snapd /usr/lib/snapd /home/wdd /etc/nginx /lib/systemd/system/ /data /usr/local/bin /usr/bin /usr/sbin /var/lib/docker /usr/local/)

for folder in ${folder_list[@]};do
  echo "current folder is ${folder}"
  rsync -avz root@10.250.0.100:${folder} ${folder}
done